# GenerateIdeaWorkspace

API Documentation: | `GenerateIdeaWorkspace`

Generates an IDEA workspace file *only* for root project. There's little you can configure about workspace generation at the moment.

### Properties

Property | Description
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | The output file to write the final configuration to.
`workspace` | The Idea workspace model containing the details required to generate the workspace file.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

The output file to write the final configuration to.

Default with `idea` plugin:
  ``${project.projectDir}`/`${project.name}`.iws`

#### `IdeaWorkspace` `workspace`

The Idea workspace model containing the details required to generate the workspace file.

Default with `idea` plugin:
  `project.idea.workspace`